upstream fastcgi_backend {

    server 127.0.0.1:9000;

    keepalive 128;

}

server {

     listen 80 backlog=81920; 

    server_name webserver;

    location / {

        root /var/www/html;

        index index.html index.htm index.php;

    }

    error_page 500 502 503 504 /50x.html;

    location = /50x.html {

        root /usr/share/nginx/html;

    }

    location = /error.log {

       # root /var/log/nginx;   
         root /usr/share/nginx/logs;
    }

    location ~ .*.(html|htm|gif|jpg|jpeg|bmp|png|ico|txt|js|css)$ {

        root /var/www/html;

        expires 100d;

    }

    location ~ ^/images/ {

        root /var/www/html/support;

        expires 100d;

    }

    location ~ .php$ {

        root html;

        fastcgi_pass fastcgi_backend;

        fastcgi_keep_conn on;

        fastcgi_index index.php;

        fastcgi_param SCRIPT_FILENAME /var/www/html$fastcgi_script_name;

        include fastcgi_params;

    }

}
